Subject: bug#28605: 26.0.60; Part of leftmost character hidden

From: martin rudalics <[email-masked]>
Date: Mon, 09 Oct 2017 14:22:43 +0200

>> But we apparently still do not apply scaling everywhere, in particular
 >> when displaying menus (Bug#27667 and Bug#28511).
 >
 > Yes, that's never worked, and wasn't affected by my patch set.

In the thread of Bug#27667 you wrote

   This should be fixed on master now, I think -- at least I'm unable to
   reproduce it now.  Could you check and reopen if it's still an issue?

Did you write that because you presumed that once Emacs detects scaling
correctly, it would also draw menus at the correct place?  Or was there
some additional reasoning involved?

I'm asking because Robert's fix for scroll bars looks so simple that it
really would be a shame if there existed no similar fix for the menus.

And there's one question that's still not completely answered: Why did
(and do) some scalers see problems with the scroll bar and/or menu
positions and others don't?

martin